<?php

function unixTime($item) {
	$date = time();
	$rss_2_date = $item['pubdate'];
    $rss_1_date = $item['dc']['date'];
    $atom_date = $item['updated'];
    if ($atom_date != "") $date = parse_w3cdtf($atom_date);
    if ($rss_1_date != "") $date = parse_w3cdtf($rss_1_date);
    if ($rss_2_date != "") $date = strtotime($rss_2_date);
	return $date;
}

function initConfig($rssc, $file) {
	$rssc['title'] = "Combined Feed";
	$rssc['description'] = "Merged with RSS Combiner";
	$fp = fopen($file, "w");
	if ($fp) {
		fwrite($fp, serialize($rssc));
		fclose($fp);
    }
	return $rssc;
}

function loadConfig($file) {
	$fp = fopen($file, "r");
	if ($fp) {
		$rssc = unserialize(fread($fp, filesize($file)));
		fclose($fp);
    }
	return $rssc;
}

function saveConfig($rssc, $file) {
	$fp = fopen($file, "w");
	if ($fp) {
		fwrite($fp, serialize($rssc));
		fclose($fp);
    }
}

function atomID($link, $time) {
	$atom_id = preg_replace("@http://@", "tag:", $link);
	$atom_id = preg_replace("@/@", ",:/", $atom_id, 1);
	return $atom_id;
}

function trimExcerpt($content) {
	$content = str_replace(']]>', ']]&gt;', $content);
	$content = strip_tags($content);
	$excerpt_length = 50;
	$words = explode(' ', $content, $excerpt_length + 1);
	if (count($words) > $excerpt_length) {
		array_pop($words);
		array_push($words, ' ...');
		$content = implode(' ', $words);
	}
	return $content;
}

?>
